--[C6MartPeriodico].[PL_D_S180ProdottiComplessitaAlta] 'f', 'ff@9225'
CREATE procedure [C6MartPeriodico].[PL_D_S180ProdottiComplessitaAlta_20180715]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	declare @TotalePatrimonio decimal(12,2)
	-- acquisiamo il totale patrimonio del cliente
	SELECT @TotalePatrimonio = ctv
	FROM
		C6MartPeriodico.vPatrimonioBFAggregato
	WHERE
		RETE = @Rete AND
		COD_FISCALE = @CodiceFiscale
--
	select 
	1 as Ordine,
	codicecontratto as CodiceContratto,
	nomeprodotto as NomeProdotto,
	controvalore as Controvalore,
	((controvalore*100)/@TotalePatrimonio) as Peso,
	@TotalePatrimonio as TotalePatrimonio
	from [C6MartPeriodico].[TB_S180ProdottiComplessitaAlta]
	where
	rete = @Rete
	-- modifica del 4/7/2018 
	and cod_fiscale like 
		CASE when @CodiceFiscale like '%FF@%'THEN '%%'
		ELSE @CodiceFiscale
		END
	and codman = 
		CASE when @CodiceFiscale like '%FF@%' THEN substring(@CodiceFiscale, 4,len(@CodiceFiscale)-3)
		ELSE ''
		END
    --fine modifica del 4/7/2018 
	order by controvalore desc
END